Subject: bug#52888:

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Jan 2022 20:13:16 +0200

[Please use Reply All to keep the bug tracker on the CC list.]

> From: André Silva <[email-masked]>
> Date: Thu, 13 Jan 2022 17:04:34 +0000
> 
> I don't, and I'm using doom-emacs so creating a minimal test case would take some effort (and probably
> also depends on the font I'm using). That said if you look at the fix you committed if `FIXNUMP (AREF (entity,
> prop))` returns false then the rest of the expression will get short-circuited (since it's an &&) and we will
> negate the result therefore entering the if statement. I believe this is contrary to what we want.

No, I think that's exactly what we want: fonts for which the attribute
is not a number should be ignored.  Your change will cause Emacs to
use them, right?